<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>yum.YumBase</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css"></link>
</head>
<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">

<!-- =========== START OF NAVBAR =========== -->
<table class="navbar" border="0" width="100%" cellpadding="0" bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="center">
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="yumguicore-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="trees.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="indices.html">Index</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar" width="100%"></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <font size="-1"><b class="breadcrumbs">
        Package&nbsp;yum ::
        Class&nbsp;YumBase
      </b></font></br>
    </td>
    <td><table cellpadding="0" cellspacing="0">
      <tr><td align="right"><font size="-2">[<a href="../private/yum.YumBase-class.html">show&nbsp;private</a>&nbsp;|&nbsp;hide&nbsp;private]</font></td></tr>
      <tr><td align="right"><font size="-2">[<a href="frames.html"target="_top">frames</a>&nbsp;|&nbsp;<a href="yum.YumBase-class.html" target="_top">no&nbsp;frames</a>]</font></td></tr>
    </table></td>
</tr></table>

<!-- =========== START OF CLASS DESCRIPTION =========== -->
<h2 class="class">Type YumBase</h2>

<pre class="base-tree">
<a href="__builtin__.object-class.html"><code>object</code></a> --+    
         |    
  <a href="yum.depsolve.Depsolve-class.html"><code>Depsolve</code></a> --+
             |
            <b>YumBase</b>
</pre><br />

<dl><dt><b>Known Subclasses:</b></dt>
<dd>
    <a href="yumguicore.YumGuiBase-class.html"><code>YumGuiBase</code></a></dd></dl>

<hr/>

This is a primary structure and base class. It houses the objects and 
methods needed to perform most things in yum. It is almost an abstract 
class in that you will need to add your own class above it for most real 
use.
<hr/>


<!-- =========== START OF METHOD SUMMARY =========== -->
<table class="summary" border="1" cellpadding="3" cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="summary">
  <th colspan="2">Method Summary</th></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="__init__"></a><span class="summary-sig"><span class="summary-sig-name">__init__</span>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="__del__"></a><span class="summary-sig"><span class="summary-sig-name">__del__</span>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#bestPackagesFromList" class="summary-sig-name"><code>bestPackagesFromList</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>pkglist</span>,
          <span class=summary-sig-arg>arch</span>)</span></code>
<br />
Takes a list of packages, returns the best packages.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#buildTransaction" class="summary-sig-name"><code>buildTransaction</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
<br />
go through the packages in the transaction set, find them in the 
packageSack or rpmdb, and pack up the ts accordingly</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="cleanHeaders"></a><span class="summary-sig"><span class="summary-sig-name">cleanHeaders</span>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="cleanMetadata"></a><span class="summary-sig"><span class="summary-sig-name">cleanMetadata</span>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="cleanPackages"></a><span class="summary-sig"><span class="summary-sig-name">cleanPackages</span>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="cleanSqlite"></a><span class="summary-sig"><span class="summary-sig-name">cleanSqlite</span>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="cleanUsedHeadersPackages"></a><span class="summary-sig"><span class="summary-sig-name">cleanUsedHeadersPackages</span>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="close"></a><span class="summary-sig"><span class="summary-sig-name">close</span>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#closeRpmDB" class="summary-sig-name"><code>closeRpmDB</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
<br />
closes down the instances of the rpmdb we have wangling around</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#deselectGroup" class="summary-sig-name"><code>deselectGroup</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>grpid</span>)</span></code>
<br />
de-mark all the packages in the group for install</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#disablePlugins" class="summary-sig-name"><code>disablePlugins</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
<br />
Disable yum plugins</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="doConfigSetup"></a><span class="summary-sig"><span class="summary-sig-name">doConfigSetup</span>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>fn</span>,
          <span class=summary-sig-arg>root</span>,
          <span class=summary-sig-arg>init_plugins</span>,
          <span class=summary-sig-arg>plugin_types</span>,
          <span class=summary-sig-arg>optparser</span>,
          <span class=summary-sig-arg>debuglevel</span>,
          <span class=summary-sig-arg>errorlevel</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="doFileLogSetup"></a><span class="summary-sig"><span class="summary-sig-name">doFileLogSetup</span>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>uid</span>,
          <span class=summary-sig-arg>logfile</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#doGenericSetup" class="summary-sig-name"><code>doGenericSetup</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>cache</span>)</span></code>
<br />
do a default setup for all the normal/necessary yum components, really 
just a shorthand for testing</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#doGroupLists" class="summary-sig-name"><code>doGroupLists</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>uservisible</span>)</span></code>
<br />
returns two lists of groups, installed groups and available groups 
optional 'uservisible' bool to tell it whether or not to return only 
groups marked as uservisible</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="doGroupSetup"></a><span class="summary-sig"><span class="summary-sig-name">doGroupSetup</span>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#doLock" class="summary-sig-name"><code>doLock</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>lockfile</span>)</span></code>
<br />
perform the yum locking, raise yum-based exceptions, not OSErrors</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#doLoggingSetup" class="summary-sig-name"><code>doLoggingSetup</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>debuglevel</span>,
          <span class=summary-sig-arg>errorlevel</span>)</span></code>
<br />
Perform logging related setup.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#doPackageLists" class="summary-sig-name"><code>doPackageLists</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>pkgnarrow</span>)</span></code>
<br />
generates lists of packages, un-reduced, based on pkgnarrow option</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#doPluginSetup" class="summary-sig-name"><code>doPluginSetup</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>optparser</span>,
          <span class=summary-sig-arg>plugin_types</span>,
          <span class=summary-sig-arg>searchpath</span>,
          <span class=summary-sig-arg>confpath</span>,
          <span class=summary-sig-arg>disabled_plugins</span>)</span></code>
<br />
Initialise and enable yum plugins.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="doRepoSetup"></a><span class="summary-sig"><span class="summary-sig-name">doRepoSetup</span>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>thisrepo</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="doRpmDBSetup"></a><span class="summary-sig"><span class="summary-sig-name">doRpmDBSetup</span>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#doSackFilelistPopulate" class="summary-sig-name"><code>doSackFilelistPopulate</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
<br />
convenience function to populate the repos with the filelist metadata 
it also is simply to only emit a log if anything actually gets 
populated</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="doSackSetup"></a><span class="summary-sig"><span class="summary-sig-name">doSackSetup</span>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>archlist</span>,
          <span class=summary-sig-arg>thisrepo</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#doUnlock" class="summary-sig-name"><code>doUnlock</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>lockfile</span>)</span></code>
<br />
do the unlock for yum</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="doUpdateSetup"></a><span class="summary-sig"><span class="summary-sig-name">doUpdateSetup</span>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#downloadHeader" class="summary-sig-name"><code>downloadHeader</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>po</span>)</span></code>
<br />
download a header from a package object.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="downloadPkgs"></a><span class="summary-sig"><span class="summary-sig-name">downloadPkgs</span>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>pkglist</span>,
          <span class=summary-sig-arg>callback</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#excludePackages" class="summary-sig-name"><code>excludePackages</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>repo</span>)</span></code>
<br />
removes packages from packageSacks based on global exclude lists, 
command line excludes and per-repository excludes, takes optional repo 
object to use.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#findDeps" class="summary-sig-name"><code>findDeps</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>pkgs</span>)</span></code>
<br />
Return the dependencies for a given package object list, as well
possible solutions for those dependencies.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#getInstalledPackageObject" class="summary-sig-name"><code>getInstalledPackageObject</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>pkgtup</span>)</span></code>
<br />
returns a YumInstallPackage object for the pkgtup specified</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#getKeyForPackage" class="summary-sig-name"><code>getKeyForPackage</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>po</span>,
          <span class=summary-sig-arg>askcb</span>,
          <span class=summary-sig-arg>fullaskcb</span>)</span></code>
<br />
Retrieve a key for a package.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#getPackageObject" class="summary-sig-name"><code>getPackageObject</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>pkgtup</span>)</span></code>
<br />
retrieves a packageObject from a pkgtuple - if we need to pick and 
choose which one is best we better call out to some method from here to 
pick the best pkgobj if there are more than one response - right now it's 
more rudimentary.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#getReposFromConfig" class="summary-sig-name"><code>getReposFromConfig</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
<br />
read in repositories from config main and .repo files</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#gpgKeyCheck" class="summary-sig-name"><code>gpgKeyCheck</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
<br />
checks for the presence of gpg keys in the rpmdb returns 0 if no keys 
returns 1 if keys</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#groupRemove" class="summary-sig-name"><code>groupRemove</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>grpid</span>)</span></code>
<br />
mark all the packages in this group to be removed</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#groupUnremove" class="summary-sig-name"><code>groupUnremove</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>grpid</span>)</span></code>
<br />
unmark any packages in the group from being removed</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#includePackages" class="summary-sig-name"><code>includePackages</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>repo</span>)</span></code>
<br />
removes packages from packageSacks based on list of packages, to 
include.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#install" class="summary-sig-name"><code>install</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>po</span>,
          <span class="summary-sig-kwarg">**kwargs</span>)</span></code>
<br />
try to mark for install the item specified.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#readRepoConfig" class="summary-sig-name"><code>readRepoConfig</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>parser</span>,
          <span class=summary-sig-arg>section</span>)</span></code>
<br />
Parse an INI file section for a repository.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#remove" class="summary-sig-name"><code>remove</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>po</span>,
          <span class="summary-sig-kwarg">**kwargs</span>)</span></code>
<br />
try to find and mark for remove the specified package(s) - if po is 
specified then that package object (if it is installed) will be marked 
for removal.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#returnInstalledPackagesByDep" class="summary-sig-name"><code>returnInstalledPackagesByDep</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>depstring</span>)</span></code>
<br />
Pass in a generic [build]require string and this function will pass 
back the installed packages it finds providing that dep.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#returnPackageByDep" class="summary-sig-name"><code>returnPackageByDep</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>depstring</span>)</span></code>
<br />
Pass in a generic [build]require string and this function will pass 
back the best(or first) package it finds providing that dep.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#returnPackagesByDep" class="summary-sig-name"><code>returnPackagesByDep</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>depstring</span>)</span></code>
<br />
Pass in a generic [build]require string and this function will pass 
back the packages it finds providing that dep.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#runTransaction" class="summary-sig-name"><code>runTransaction</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>cb</span>)</span></code>
<br />
takes an rpm callback object, performs the transaction</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#searchGenerator" class="summary-sig-name"><code>searchGenerator</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>fields</span>,
          <span class=summary-sig-arg>criteria</span>)</span></code>
<br />
Generator method to lighten memory load for some searches.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="searchPackageProvides"></a><span class="summary-sig"><span class="summary-sig-name">searchPackageProvides</span>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>args</span>,
          <span class=summary-sig-arg>callback</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#searchPackages" class="summary-sig-name"><code>searchPackages</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>fields</span>,
          <span class=summary-sig-arg>criteria</span>,
          <span class=summary-sig-arg>callback</span>)</span></code>
<br />
Search specified fields for matches to criteria optional callback 
specified to print out results as you go.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#selectGroup" class="summary-sig-name"><code>selectGroup</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>grpid</span>)</span></code>
<br />
mark all the packages in the group to be installed returns a list of 
transaction members it added to the transaction set</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#sigCheckPkg" class="summary-sig-name"><code>sigCheckPkg</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>po</span>)</span></code>
<br />
Take a package object and attempt to verify GPG signature if required...</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#update" class="summary-sig-name"><code>update</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>po</span>,
          <span class="summary-sig-kwarg">**kwargs</span>)</span></code>
<br />
try to mark for update the item(s) specified.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#verifyChecksum" class="summary-sig-name"><code>verifyChecksum</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>fo</span>,
          <span class=summary-sig-arg>checksumType</span>,
          <span class=summary-sig-arg>csum</span>)</span></code>
<br />
Verify the checksum of the file versus the provided checksum</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#verifyHeader" class="summary-sig-name"><code>verifyHeader</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>fo</span>,
          <span class=summary-sig-arg>po</span>,
          <span class=summary-sig-arg>raiseError</span>)</span></code>
<br />
check the header out via it's naevr, internally</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#verifyPkg" class="summary-sig-name"><code>verifyPkg</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>fo</span>,
          <span class=summary-sig-arg>po</span>,
          <span class=summary-sig-arg>raiseError</span>)</span></code>
<br />
verifies the package is what we expect it to be raiseError = defaults 
to 0 - if 1 then will raise a URLGrabError if the file does not check 
out.</td></tr>
<tr bgcolor="#e8f0f8" class="group">
  <th colspan="2">&nbsp;&nbsp;&nbsp;&nbsp;Inherited from Depsolve</th></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.depsolve.Depsolve-class.html#isPackageInstalled" class="summary-sig-name"><code>_isPackageInstalled</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>pkgname</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.depsolve.Depsolve-class.html#allowedMultipleInstalls" class="summary-sig-name"><code>allowedMultipleInstalls</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>po</span>)</span></code>
<br />
takes a packageObject, returns 1 or 0 depending on if the package 
should/can be installed multiple times with different vers like kernels 
and kernel modules, for example</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.depsolve.Depsolve-class.html#cprof_resolveDeps" class="summary-sig-name"><code>cprof_resolveDeps</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.depsolve.Depsolve-class.html#doTsSetup" class="summary-sig-name"><code>doTsSetup</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.depsolve.Depsolve-class.html#initActionTs" class="summary-sig-name"><code>initActionTs</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
<br />
sets up the ts we'll use for all the work</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.depsolve.Depsolve-class.html#isPackageInstalled" class="summary-sig-name"><code>isPackageInstalled</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>pkgname</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.depsolve.Depsolve-class.html#populateTs" class="summary-sig-name"><code>populateTs</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>test</span>,
          <span class=summary-sig-arg>keepold</span>)</span></code>
<br />
take transactionData class and populate transaction set</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.depsolve.Depsolve-class.html#prof_resolveDeps" class="summary-sig-name"><code>prof_resolveDeps</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.depsolve.Depsolve-class.html#resolveDeps" class="summary-sig-name"><code>resolveDeps</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.depsolve.Depsolve-class.html#whatProvides" class="summary-sig-name"><code>whatProvides</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>name</span>,
          <span class=summary-sig-arg>flags</span>,
          <span class=summary-sig-arg>version</span>)</span></code>
<br />
searches the packageSacks for what provides the arguments returns a 
ListPackageSack of providing packages, possibly empty</td></tr>
<tr bgcolor="#e8f0f8" class="group">
  <th colspan="2">&nbsp;&nbsp;&nbsp;&nbsp;Inherited from object</th></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="__builtin__.object-class.html#__delattr__" class="summary-sig-name"><code>__delattr__</code></a>(<span class="summary-sig-vararg">...</span>)</span></code>
<br />
x.__delattr__('name') &lt;==&gt; del x.name</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="__builtin__.object-class.html#__getattribute__" class="summary-sig-name"><code>__getattribute__</code></a>(<span class="summary-sig-vararg">...</span>)</span></code>
<br />
x.__getattribute__('name') &lt;==&gt; x.name</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="__builtin__.object-class.html#__hash__" class="summary-sig-name"><code>__hash__</code></a>(<span class=summary-sig-arg>x</span>)</span></code>
<br />
x.__hash__() &lt;==&gt; hash(x)</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="__builtin__.object-class.html#__new__" class="summary-sig-name"><code>__new__</code></a>(<span class=summary-sig-arg>T</span>,
          <span class=summary-sig-arg>S</span>,
          <span class="summary-sig-vararg">...</span>)</span></code>
<br />
T.__new__(S, ...) -&gt; a new object with type S, a subtype of T</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="__builtin__.object-class.html#__reduce__" class="summary-sig-name"><code>__reduce__</code></a>(<span class="summary-sig-vararg">...</span>)</span></code>
<br />
helper for pickle</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="__builtin__.object-class.html#__reduce_ex__" class="summary-sig-name"><code>__reduce_ex__</code></a>(<span class="summary-sig-vararg">...</span>)</span></code>
<br />
helper for pickle</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="__builtin__.object-class.html#__repr__" class="summary-sig-name"><code>__repr__</code></a>(<span class=summary-sig-arg>x</span>)</span></code>
<br />
x.__repr__() &lt;==&gt; repr(x)</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="__builtin__.object-class.html#__setattr__" class="summary-sig-name"><code>__setattr__</code></a>(<span class="summary-sig-vararg">...</span>)</span></code>
<br />
x.__setattr__('name', value) &lt;==&gt; x.name = value</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="__builtin__.object-class.html#__str__" class="summary-sig-name"><code>__str__</code></a>(<span class=summary-sig-arg>x</span>)</span></code>
<br />
x.__str__() &lt;==&gt; str(x)</td></tr>
</table><br />


<!-- =========== START OF PROPERTY SUMMARY =========== -->
<table class="summary" border="1" cellpadding="3" cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="summary">
  <th colspan="2">Property Summary</th></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><b><a href="yum.YumBase-class.html#comps"><code>comps</code></a></b></td></tr><tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><b><a href="yum.YumBase-class.html#conf"><code>conf</code></a></b></td></tr><tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><b><a href="yum.YumBase-class.html#pkgSack"><code>pkgSack</code></a></b></td></tr><tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><b><a href="yum.YumBase-class.html#repos"><code>repos</code></a></b></td></tr><tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><b><a href="yum.YumBase-class.html#rpmdb"><code>rpmdb</code></a></b></td></tr><tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><b><a href="yum.YumBase-class.html#ts"><code>ts</code></a></b></td></tr><tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><b><a href="yum.YumBase-class.html#tsInfo"><code>tsInfo</code></a></b></td></tr><tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><b><a href="yum.YumBase-class.html#up"><code>up</code></a></b></td></tr></table><br />


<!-- =========== START OF METHOD DETAILS =========== -->
<table class="details" border="1" cellpadding="3" cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="details">
  <th colspan="2">Method Details</th></tr>
</table>

<a name="bestPackagesFromList"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">bestPackagesFromList</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>pkglist</span>,
          <span class=sig-arg>arch</span>=<span class=sig-default>None</span>)</span>
  </h3>
  Takes a list of packages, returns the best packages. This function 
  is multilib aware so that it will not compare multilib to singlelib 
  packages
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="buildTransaction"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">buildTransaction</span>(<span class=sig-arg>self</span>)</span>
  </h3>
  go through the packages in the transaction set, find them in the 
  packageSack or rpmdb, and pack up the ts accordingly
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="closeRpmDB"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">closeRpmDB</span>(<span class=sig-arg>self</span>)</span>
  </h3>
  closes down the instances of the rpmdb we have wangling around
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="deselectGroup"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">deselectGroup</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>grpid</span>)</span>
  </h3>
  de-mark all the packages in the group for install
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="disablePlugins"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">disablePlugins</span>(<span class=sig-arg>self</span>)</span>
  </h3>
  Disable yum plugins
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="doGenericSetup"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">doGenericSetup</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>cache</span>=<span class=sig-default>0</span>)</span>
  </h3>
  do a default setup for all the normal/necessary yum components, 
  really just a shorthand for testing
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="doGroupLists"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">doGroupLists</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>uservisible</span>=<span class=sig-default>0</span>)</span>
  </h3>
  returns two lists of groups, installed groups and available groups 
  optional 'uservisible' bool to tell it whether or not to return only 
  groups marked as uservisible
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="doLock"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">doLock</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>lockfile</span>=<span class=sig-default>'/var/run/yum.pid'</span>)</span>
  </h3>
  perform the yum locking, raise yum-based exceptions, not 
  OSErrors
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="doLoggingSetup"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">doLoggingSetup</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>debuglevel</span>,
          <span class=sig-arg>errorlevel</span>)</span>
  </h3>
  Perform logging related setup.
  <dl><dt></dt><dd>
    <dl><dt><b>Parameters:</b></dt>
      <dd><code><b>debuglevel</b></code> -
         Debug logging level to use.
      <dd><code><b>errorlevel</b></code> -
         Error logging level to use.
      </dd>
    </dl>
  </dd></dl>
</td></tr></table>

<a name="doPackageLists"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">doPackageLists</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>pkgnarrow</span>=<span class=sig-default>'all'</span>)</span>
  </h3>
  generates lists of packages, un-reduced, based on pkgnarrow 
  option
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="doPluginSetup"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">doPluginSetup</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>optparser</span>=<span class=sig-default>None</span>,
          <span class=sig-arg>plugin_types</span>=<span class=sig-default>None</span>,
          <span class=sig-arg>searchpath</span>=<span class=sig-default>None</span>,
          <span class=sig-arg>confpath</span>=<span class=sig-default>None</span>,
          <span class=sig-arg>disabled_plugins</span>=<span class=sig-default>None</span>)</span>
  </h3>
  <p>Initialise and enable yum plugins.</p>
  Note: _getConfig() will initialise plugins if instructed to. Only 
  call this method directly if not calling _getConfig() or calling 
  doConfigSetup(init_plugins=False).
  <dl><dt></dt><dd>
    <dl><dt><b>Parameters:</b></dt>
      <dd><code><b>optparser</b></code> -
         The OptionParser instance for this run (optional)
      <dd><code><b>plugin_types</b></code> -
         A sequence specifying the types of plugins to load. This 
        should be sequnce containing one or more of the 
        yum.plugins.TYPE_... constants. If None (the default), all 
        plugins will be loaded.
      <dd><code><b>searchpath</b></code> -
         A list of directories to look in for plugins. A default will 
        be used if no value is specified.
      <dd><code><b>confpath</b></code> -
         A list of directories to look in for plugin configuration 
        files. A default will be used if no value is specified.
      <dd><code><b>disabled_plugins</b></code> -
         Plugins to be disabled
      </dd>
    </dl>
  </dd></dl>
</td></tr></table>

<a name="doSackFilelistPopulate"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">doSackFilelistPopulate</span>(<span class=sig-arg>self</span>)</span>
  </h3>
  convenience function to populate the repos with the filelist 
  metadata it also is simply to only emit a log if anything actually gets 
  populated
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="doUnlock"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">doUnlock</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>lockfile</span>=<span class=sig-default>'/var/run/yum.pid'</span>)</span>
  </h3>
  do the unlock for yum
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="downloadHeader"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">downloadHeader</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>po</span>)</span>
  </h3>
  download a header from a package object. output based on callback, 
  raise yum.Errors.YumBaseError on problems
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="excludePackages"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">excludePackages</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>repo</span>=<span class=sig-default>None</span>)</span>
  </h3>
  removes packages from packageSacks based on global exclude lists, 
  command line excludes and per-repository excludes, takes optional repo 
  object to use.
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="findDeps"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">findDeps</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>pkgs</span>)</span>
  </h3>
<pre class="literalblock">
Return the dependencies for a given package object list, as well
possible solutions for those dependencies.

Returns the deps as a dict of dicts:
  packageobject = [reqs] = [list of satisfying pkgs]
</pre>
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="getInstalledPackageObject"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">getInstalledPackageObject</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>pkgtup</span>)</span>
  </h3>
  returns a YumInstallPackage object for the pkgtup specified
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="getKeyForPackage"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">getKeyForPackage</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>po</span>,
          <span class=sig-arg>askcb</span>=<span class=sig-default>None</span>,
          <span class=sig-arg>fullaskcb</span>=<span class=sig-default>None</span>)</span>
  </h3>
  Retrieve a key for a package. If needed, prompt for if the key 
  should be imported using askcb.
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="getPackageObject"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">getPackageObject</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>pkgtup</span>)</span>
  </h3>
  retrieves a packageObject from a pkgtuple - if we need to pick and 
  choose which one is best we better call out to some method from here to 
  pick the best pkgobj if there are more than one response - right now 
  it's more rudimentary.
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="getReposFromConfig"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">getReposFromConfig</span>(<span class=sig-arg>self</span>)</span>
  </h3>
  read in repositories from config main and .repo files
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="gpgKeyCheck"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">gpgKeyCheck</span>(<span class=sig-arg>self</span>)</span>
  </h3>
  checks for the presence of gpg keys in the rpmdb returns 0 if no 
  keys returns 1 if keys
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="groupRemove"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">groupRemove</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>grpid</span>)</span>
  </h3>
  mark all the packages in this group to be removed
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="groupUnremove"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">groupUnremove</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>grpid</span>)</span>
  </h3>
  unmark any packages in the group from being removed
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="includePackages"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">includePackages</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>repo</span>)</span>
  </h3>
  removes packages from packageSacks based on list of packages, to 
  include. takes repoid as a mandatory argument.
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="install"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">install</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>po</span>=<span class=sig-default>None</span>,
          <span class="sig-kwarg">**kwargs</span>)</span>
  </h3>
  try to mark for install the item specified. Uses provided package 
  object, if available. If not it uses the kwargs and gets the best 
  packages from the keyword options provided returns the list of txmbr of 
  the items it installs
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="readRepoConfig"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">readRepoConfig</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>parser</span>,
          <span class=sig-arg>section</span>)</span>
  </h3>
  Parse an INI file section for a repository.
  <dl><dt></dt><dd>
    <dl><dt><b>Parameters:</b></dt>
      <dd><code><b>parser</b></code> -
         ConfParser or similar to read INI file values from.
      <dd><code><b>section</b></code> -
         INI file section to read.
      </dd>
    </dl>
    <dl><dt><b>Returns:</b></dt>
      <dd>
        YumRepository instance.
      </dd>
    </dl>
  </dd></dl>
</td></tr></table>

<a name="remove"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">remove</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>po</span>=<span class=sig-default>None</span>,
          <span class="sig-kwarg">**kwargs</span>)</span>
  </h3>
  try to find and mark for remove the specified package(s) - if po is 
  specified then that package object (if it is installed) will be marked 
  for removal. if no po then look at kwargs, if neither then raise an 
  exception
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="returnInstalledPackagesByDep"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">returnInstalledPackagesByDep</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>depstring</span>)</span>
  </h3>
  Pass in a generic [build]require string and this function will pass 
  back the installed packages it finds providing that dep.
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="returnPackageByDep"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">returnPackageByDep</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>depstring</span>)</span>
  </h3>
  Pass in a generic [build]require string and this function will pass 
  back the best(or first) package it finds providing that dep.
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="returnPackagesByDep"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">returnPackagesByDep</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>depstring</span>)</span>
  </h3>
  Pass in a generic [build]require string and this function will pass 
  back the packages it finds providing that dep.
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="runTransaction"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">runTransaction</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>cb</span>)</span>
  </h3>
  takes an rpm callback object, performs the transaction
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="searchGenerator"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">searchGenerator</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>fields</span>,
          <span class=sig-arg>criteria</span>)</span>
  </h3>
  Generator method to lighten memory load for some searches. This is 
  the preferred search function to use.
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="searchPackages"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">searchPackages</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>fields</span>,
          <span class=sig-arg>criteria</span>,
          <span class=sig-arg>callback</span>=<span class=sig-default>None</span>)</span>
  </h3>
  Search specified fields for matches to criteria optional callback 
  specified to print out results as you go. Callback is a simple function 
  of: callback(po, matched values list). It will just return a dict of 
  dict[po]=matched values list
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="selectGroup"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">selectGroup</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>grpid</span>)</span>
  </h3>
  mark all the packages in the group to be installed returns a list of 
  transaction members it added to the transaction set
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="sigCheckPkg"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">sigCheckPkg</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>po</span>)</span>
  </h3>
<pre class="literalblock">
Take a package object and attempt to verify GPG signature if required

Returns (result, error_string) where result is
    0 - GPG signature verifies ok or verification is not required
    1 - GPG verification failed but installation of the right GPG key might help
    2 - Fatal GPG verifcation error, give up
</pre>
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="update"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">update</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>po</span>=<span class=sig-default>None</span>,
          <span class="sig-kwarg">**kwargs</span>)</span>
  </h3>
  <p>try to mark for update the item(s) specified. po is a package object 
  - if that is there, mark it for update, if possible else use **kwargs 
  to match the package needing update if nothing is specified at all then 
  attempt to update everything</p>
  returns the list of txmbr of the items it marked for update
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="verifyChecksum"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">verifyChecksum</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>fo</span>,
          <span class=sig-arg>checksumType</span>,
          <span class=sig-arg>csum</span>)</span>
  </h3>
  Verify the checksum of the file versus the provided checksum
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="verifyHeader"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">verifyHeader</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>fo</span>,
          <span class=sig-arg>po</span>,
          <span class=sig-arg>raiseError</span>)</span>
  </h3>
  check the header out via it's naevr, internally
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="verifyPkg"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">verifyPkg</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>fo</span>,
          <span class=sig-arg>po</span>,
          <span class=sig-arg>raiseError</span>)</span>
  </h3>
  verifies the package is what we expect it to be raiseError = 
  defaults to 0 - if 1 then will raise a URLGrabError if the file does 
  not check out. otherwise it returns false for a failure, true for 
  success
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>
<br />


<!-- =========== START OF PROPERTY DETAILS =========== -->
<table class="details" border="1" cellpadding="3" cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="details">
  <th colspan="2">Property Details</th></tr>
</table>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>

<a name="comps"></a>
<h3>comps</h3>
<dl>
  <dt></dt>
  <dd>
    <dl>
      <dt><b>Get Method:</b></dt>
      <dd><span class="summary-sig"><span class="summary-sig-name">unknown-11297808</span>(...)</span>
      </dd>
      <dt><b>Set Method:</b></dt>
      <dd><span class="summary-sig"><span class="summary-sig-name">unknown-11297928</span>(...)</span>
      </dd>
      <dt><b>Delete Method:</b></dt>
      <dd><span class="summary-sig"><span class="summary-sig-name">unknown-11298048</span>(...)</span>
      </dd>
    </dl>
  </dd>
</dl></td></tr></table><table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>

<a name="conf"></a>
<h3>conf</h3>
<dl>
  <dt></dt>
  <dd>
    <dl>
      <dt><b>Get Method:</b></dt>
      <dd><span class="summary-sig"><span class="summary-sig-name">unknown-11295992</span>(...)</span>
      </dd>
      <dt><b>Set Method:</b></dt>
      <dd><span class="summary-sig"><span class="summary-sig-name">unknown-11296112</span>(...)</span>
      </dd>
      <dt><b>Delete Method:</b></dt>
      <dd><span class="summary-sig"><span class="summary-sig-name">unknown-11296232</span>(...)</span>
      </dd>
    </dl>
  </dd>
</dl></td></tr></table><table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>

<a name="pkgSack"></a>
<h3>pkgSack</h3>
<dl>
  <dt></dt>
  <dd>
    <dl>
      <dt><b>Get Method:</b></dt>
      <dd><span class="summary-sig"><span class="summary-sig-name">unknown-11295632</span>(...)</span>
      </dd>
      <dt><b>Set Method:</b></dt>
      <dd><span class="summary-sig"><span class="summary-sig-name">unknown-11295752</span>(...)</span>
      </dd>
      <dt><b>Delete Method:</b></dt>
      <dd><span class="summary-sig"><span class="summary-sig-name">unknown-11295872</span>(...)</span>
      </dd>
    </dl>
  </dd>
</dl></td></tr></table><table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>

<a name="repos"></a>
<h3>repos</h3>
<dl>
  <dt></dt>
  <dd>
    <dl>
      <dt><b>Get Method:</b></dt>
      <dd><span class="summary-sig"><span class="summary-sig-name">unknown-11295272</span>(...)</span>
      </dd>
      <dt><b>Set Method:</b></dt>
      <dd><span class="summary-sig"><span class="summary-sig-name">unknown-11295392</span>(...)</span>
      </dd>
      <dt><b>Delete Method:</b></dt>
      <dd><span class="summary-sig"><span class="summary-sig-name">unknown-11295512</span>(...)</span>
      </dd>
    </dl>
  </dd>
</dl></td></tr></table><table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>

<a name="rpmdb"></a>
<h3>rpmdb</h3>
<dl>
  <dt></dt>
  <dd>
    <dl>
      <dt><b>Get Method:</b></dt>
      <dd><span class="summary-sig"><span class="summary-sig-name">unknown-11296352</span>(...)</span>
      </dd>
      <dt><b>Set Method:</b></dt>
      <dd><span class="summary-sig"><span class="summary-sig-name">unknown-11296472</span>(...)</span>
      </dd>
      <dt><b>Delete Method:</b></dt>
      <dd><span class="summary-sig"><span class="summary-sig-name">unknown-11296592</span>(...)</span>
      </dd>
    </dl>
  </dd>
</dl></td></tr></table><table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>

<a name="ts"></a>
<h3>ts</h3>
<dl>
  <dt></dt>
  <dd>
    <dl>
      <dt><b>Get Method:</b></dt>
      <dd><span class="summary-sig"><span class="summary-sig-name">unknown-11297208</span>(...)</span>
      </dd>
      <dt><b>Delete Method:</b></dt>
      <dd><span class="summary-sig"><span class="summary-sig-name">unknown-11297328</span>(...)</span>
      </dd>
    </dl>
  </dd>
</dl></td></tr></table><table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>

<a name="tsInfo"></a>
<h3>tsInfo</h3>
<dl>
  <dt></dt>
  <dd>
    <dl>
      <dt><b>Get Method:</b></dt>
      <dd><span class="summary-sig"><span class="summary-sig-name">unknown-11296848</span>(...)</span>
      </dd>
      <dt><b>Set Method:</b></dt>
      <dd><span class="summary-sig"><span class="summary-sig-name">unknown-11296968</span>(...)</span>
      </dd>
      <dt><b>Delete Method:</b></dt>
      <dd><span class="summary-sig"><span class="summary-sig-name">unknown-11297088</span>(...)</span>
      </dd>
    </dl>
  </dd>
</dl></td></tr></table><table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>

<a name="up"></a>
<h3>up</h3>
<dl>
  <dt></dt>
  <dd>
    <dl>
      <dt><b>Get Method:</b></dt>
      <dd><span class="summary-sig"><span class="summary-sig-name">unknown-11297448</span>(...)</span>
      </dd>
      <dt><b>Set Method:</b></dt>
      <dd><span class="summary-sig"><span class="summary-sig-name">unknown-11297568</span>(...)</span>
      </dd>
      <dt><b>Delete Method:</b></dt>
      <dd><span class="summary-sig"><span class="summary-sig-name">unknown-11297688</span>(...)</span>
      </dd>
    </dl>
  </dd>
</dl></td></tr></table><br />


<!-- =========== START OF NAVBAR =========== -->
<table class="navbar" border="0" width="100%" cellpadding="0" bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="center">
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="yumguicore-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="trees.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="indices.html">Index</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar" width="100%"></th>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr>
    <td align="left"><font size="-2">Generated by Epydoc 2.1 on Thu Jul 19 13:44:22 2007</font></td>
    <td align="right"><a href="http://epydoc.sourceforge.net"
                      ><font size="-2">http://epydoc.sf.net</font></a></td>
  </tr>
</table>
</body>
</html>
